<template>
  <div class="sidebar">
    <div class="logo-section">
      <img src="@/assets/logo-promage.png" alt="Promage Logo" />
      <h1>Promage</h1>
    </div>

    <button class="create-project">Create new project</button>

    <ul class="menu-links">
      <li>
        <router-link to="/" active-class="router-link-exact-active"
          >Dashboard</router-link
        >
      </li>
      <li>
        <router-link to="/projects" active-class="router-link-exact-active"
          >Projects</router-link
        >
      </li>
      <li>
        <router-link to="/tasks" active-class="router-link-exact-active"
          >Tasks</router-link
        >
      </li>
      <li>
        <router-link to="/time-log" active-class="router-link-exact-active"
          >Time log</router-link
        >
      </li>
      <li>
        <router-link
          to="/resource-management"
          active-class="router-link-exact-active"
          >Resource mgmt</router-link
        >
      </li>
      <li>
        <router-link to="/users" active-class="router-link-exact-active"
          >Users</router-link
        >
      </li>
      <li>
        <router-link
          to="/project-template"
          active-class="router-link-exact-active"
          >Project template</router-link
        >
      </li>
      <li>
        <router-link to="/menu-settings" active-class="router-link-exact-active"
          >Menu settings</router-link
        >
      </li>
    </ul>

   
    <button class="info-btn">?</button>
  </div>
</template>

<script>
  export default {
    name: "SidebarMenu",
  };
</script>

<style scoped>
  .sidebar {
    width: 238px;
    background: #060606;
    color: white;
    padding: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    position: fixed;
  }

  .logo-section {
    display: flex;
    align-items: center;
    margin-bottom: 32px;
  }

  .logo-section img {
    width: 140.184px;
    height: 30.936px;
    margin-right: 1rem;
  }
  .logo-section h1 {
    display: none;
  }

  .create-project,
  .info-btn {
    margin: 1rem 0;
    background: #fff;
    border: none;
    padding: 20px;
    border-radius: 25px;
    cursor: pointer;
  }

  .menu-links {
    flex: 1;
    display: flex;
    flex-direction: column;
  }

  .menu-links li {
    border: none;
    padding: 20px;
    border-radius: 25px;
    cursor: pointer;
    list-style: none;
    text-decoration: none;
  }

  .menu-links li .router-link-exact-active {
    color: white;
    background-color: #060606; 
  }

  .menu-links li a {
    color: #999999;
    text-decoration: none; 
  }
</style>
